package com.inet.application.googleanalytics.structure;

import com.inet.config.ConfigKey;

/**
 * ConfigKey for this plugin.
 */
public class GoogleAnalyticsConfigKeys {

    public static final ConfigKey TRACKING_ID     = new ConfigKey( "googleanalytics.trackingId", System.getProperty( "googleanalytics.trackingId", "" ), String.class );
    public static final ConfigKey COOKIE_DOMAIN   = new ConfigKey( "googleanalytics.cookieDomain", System.getProperty( "googleanalytics.cookieDomain", "" ), String.class );
    public static final ConfigKey ANONYMIZE_IP    = new ConfigKey( "googleanalytics.anonymizeIp", System.getProperty( "googleanalytics.anonymizeIp", Boolean.TRUE.toString() ), Boolean.class );
    public static final ConfigKey TRACK_USERS     = new ConfigKey( "googleanalytics.trackUserId", System.getProperty( "googleanalytics.trackUserId", Boolean.FALSE.toString() ), Boolean.class );
}
