# Viewer Readme

This folder contains Java code samples showing how to use i-net Clear Reports viewer.

## CustomStatusBar.java

Shows how to remove the status bar from the viewer or to place your own status bar in its place.

## ExportWithoutPreview.java

Shows how to create a viewer and export a report without having to preview it.

## LoggingToFile.java

Shows how to change the logging from the default System.out console log to a file, or also how to disable logging completely.

## MultipleReportsView.java

Shows how i-net Clear Reports viewer can display more than one report at once in different "report views", which by default are shown in different tabs in the viewer.

## PrintWithoutPreview.java

Shows how to print a report without having to preview it in the viewer first.

## ProgressTracker.java

Shows how to stay informed about progress information, using a printing example to show how printing initialization, printing progress, and completion are all sent as events and can be handled by your own progress PropertyChangeListener.

## RemoveToolbarAction.java

Shows how simple it is to remove unwanted toolbar buttons from the viewer toolbar.

## ReplaceInfoButton.java

Shows how quickly you can customize viewer behavior by providing your own ViewerContext object. This specific example replaces the info button action with a custom action.

## ViewerInApplication.java

Shows how easy it is to integrate the i-net Clear Reports viewer in your own application.

